petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatISGetMPIXAIJ

Converts MATIS matrix into a parallel AIJ format

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatISGetMPIXAIJ(Mat mat, MatReuse reuse, Mat *newmat)

### Input Parameter

mat -the matrix (should be of type MATIS) Many br
reuse -either MAT_INITIAL_MATRIX or MAT_REUSE_MATRIX Many br

### Output Parameter

newmat -the matrix in AIJ format Many br

Many br

Notes: mat and *newmat cannot be the same object when MAT_REUSE_MATRIX is requested. Many br

### See Also

MATIS

Level:developer
Location:src/mat/impls/is/matis.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages